Bug 32669 - Traceback in cups-printer.py if univentionPrinterUseClientDriver is missing at LDAP printer share object
Traceback in cups-printer.py if univentionPrinterUseClientDriver is missing a...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Printserver
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.1-1-errata
Assigned To: Felix Botner
Janek Walkenhorst
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 09:18 CEST by Sönke Schwardt-Krummrich
Modified: 2013-10-07 14:43 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2013-09-24 09:18:38 CEST
If an old printer object is changed with UCS 3.1-1 erratum165, a traceback in listener.log is shown:

Traceback (most recent call last):
  File "/usr/lib/univention-directory-listener/system/cups-printers.py", line 364, in handler
    if new['univentionPrinterUseClientDriver'][0] == '1':
KeyError: 'univentionPrinterUseClientDriver'

The traceback results in a 0-byte-file in /etc/samba/printers.conf.d/ for the affected printer share object.

Workaround: set the property useClientDriver via UDM to "0".

This bug seems to be fixed together with bug 30432 in UCS 3.2 (has to be checked).
Comment 1 Felix Botner univentionstaff 2013-09-24 17:11:00 CEST
errata3.1-1:
univention-printserver 6.0.21-4.626.201309241657
YAML 2013-09-24-univention-printserver.yaml

ucs3.2:

univention-printserver 7.0.7-4.627.201309241701
added changelog entry
Comment 2 Janek Walkenhorst univentionstaff 2013-10-02 11:33:13 CEST
Code review: OK
Tests:
 Traceback happens before update: OK
 Installation: OK
 Traceback gone after update: OK
 Printer files generated correctly: OK

Advisory: Missing
Comment 3 Felix Botner univentionstaff 2013-10-07 10:17:39 CEST
(In reply to Janek Walkenhorst from comment #2)
> ...
> 
> Advisory: Missing

added
Comment 4 Janek Walkenhorst univentionstaff 2013-10-07 10:50:28 CEST
(In reply to Felix Botner from comment #3)
> (In reply to Janek Walkenhorst from comment #2)
> > Advisory: Missing
> added
OK
Comment 5 Moritz Muehlenhoff univentionstaff 2013-10-07 14:43:55 CEST
http://errata.univention.de/ucs/3.1/187.html